---
section: cli-commands 
title: npm-whoami
description: Display npm username
---

# npm-whoami(1)
## Display npm username

### Synopsis

```bash
npm whoami [--registry <registry>]
```

### Description

Print the `username` config to standard output.

### See Also

* [npm config](/cli-commands/npm-config)
* [npmrc](/configuring-npm/npmrc)
* [npm adduser](/cli-commands/npm-adduser)
